Bug 171677 - update for multimedia/clipgrab
update for multimedia/clipgrab
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-16 02:50 UTC by FreeBSD
Modified: 2012-10-04 18:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.08 KB, patch)
2012-09-16 02:50 UTC, FreeBSD
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description FreeBSD 2012-09-16 02:50:09 UTC
The version of multimedia/clipgrab hasn't worked for a while. This patch updates it to v3.2.0.9 which was just released. I also cleaned up the pkg-descr a little.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-09-16 02:50:18 UTC
Maintainer of multimedia/clipgrab,

Please note that PR ports/171677 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171677

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-09-16 02:50:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-10-04 18:21:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 dfilter freebsd_committer 2012-10-04 18:33:53 UTC
Author: rm
Date: Thu Oct  4 17:33:39 2012
New Revision: 305271
URL: http://svn.freebsd.org/changeset/ports/305271

Log:
  - update to 3.2.0.9
  - update pkg-descr
  - trim Makefile header, while here
  
  PR:		171677
  Submitted by:	Shane Ambler <FreeBSD at Shaneware dot biz>
  Approved by:	Veniamin Gvozdikov <g.veniamin at googlemail dot com> (maintainer)

Modified:
  head/multimedia/clipgrab/Makefile
  head/multimedia/clipgrab/distinfo
  head/multimedia/clipgrab/pkg-descr

Modified: head/multimedia/clipgrab/Makefile
==============================================================================
--- head/multimedia/clipgrab/Makefile	Thu Oct  4 17:32:13 2012	(r305270)
+++ head/multimedia/clipgrab/Makefile	Thu Oct  4 17:33:39 2012	(r305271)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	clipgrab
-# Date created:		2009-12-06
-# Whom:			Gvozdikov Veniamin <g.veniamin@googlemail.com>
-#
+# Created by: Gvozdikov Veniamin <g.veniamin@googlemail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	clipgrab
-PORTVERSION=	3.1.0.2
-PORTREVISION=	1
+PORTVERSION=	3.2.0.9
 CATEGORIES=	multimedia
 MASTER_SITES=	http://clipgrab.de/download/ \
 		http://vanbittern.org/
@@ -24,14 +19,14 @@ USE_QT4=	gui xml qmake_build uic_build m
 PLIST_FILES=	bin/${PORTNAME} \
 		%%DATADIR%%/icon.png \
 		%%DATADIR%%/logo.png \
-		%%DATADIR%%/logo-gpl.png \
-		%%DATADIR%%/logo-qt.png \
+		%%DATADIR%%/paypal-logo.png \
+		%%DATADIR%%/paypal.png \
 		%%DATADIR%%/splash.png
 PLIST_DIRS=	%%DATADIR%%
 
 DESKTOP_ENTRIES="Clipgrab" "Download and convert videos from YouTube and etc" \
 		"${DATADIR}/icon.png" "${PORTNAME}" \
-		"AudioVideo;Audio;Video;" false
+		"AudioVideo;" false
 
 post-patch:
 	${REINPLACE_CMD} -e 's,img/,share/${PORTNAME}/,g' \

Modified: head/multimedia/clipgrab/distinfo
==============================================================================
--- head/multimedia/clipgrab/distinfo	Thu Oct  4 17:32:13 2012	(r305270)
+++ head/multimedia/clipgrab/distinfo	Thu Oct  4 17:33:39 2012	(r305271)
@@ -1,2 +1,2 @@
-SHA256 (clipgrab-3.1.0.2.tar.bz2) = f55303cc06e2cc08650afabe7ca9b38aa03ba11c5577b733bf0a3520d5f14b05
-SIZE (clipgrab-3.1.0.2.tar.bz2) = 148002
+SHA256 (clipgrab-3.2.0.9.tar.bz2) = ff08365ba4f078bca339f7e6e3a659d573d769f1a2951e81f3d074fbb2118b0c
+SIZE (clipgrab-3.2.0.9.tar.bz2) = 308856

Modified: head/multimedia/clipgrab/pkg-descr
==============================================================================
--- head/multimedia/clipgrab/pkg-descr	Thu Oct  4 17:32:13 2012	(r305270)
+++ head/multimedia/clipgrab/pkg-descr	Thu Oct  4 17:33:39 2012	(r305271)
@@ -1,7 +1,7 @@
 ClipGrab doesn't only allow you to download videos from sites like Youtube,
-Dailymotion or Veoh but also gives you the ability to convert them at a single
-blow into "usabl" formats like WMV, MPEG or MP3. So you'll be able to wat
-h (or listen to) your favourite Youtube clips wherever you are.
+Dailymotion or Vimeo but also gives you the ability to convert them in a single
+step into "usable" formats like WMV, MPEG or MP3. So you'll be able to watch
+(or listen to) your favourite Youtube clips wherever you are.
 ClipGrab currently supports these sites:
 
 -YouTube
@@ -10,4 +10,4 @@ ClipGrab currently supports these sites:
 -MyVideo
 -MySpass
 
-WWW:	http://clipgrab.de
+WWW: http://clipgrab.de
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-10-04 18:34:17 UTC
State Changed
From-To: feedback->closed

Committed, thank you!